post
https://yourServer.jamfcloud.com/JSSResource/computergroups/id/
Creates a new computer group by ID
Jamf Pro API equivalent available:POST /api/v2/computer-groups/smart-groups. The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Request Bodies
<computer_group>
<name>Group Name</name>
<is_smart>true</is_smart>
<site>
<id>-1</id>
<name>None</name>
</site>
<criteria>
<criterion>
<name>Last Inventory Update</name>
<priority>0</priority>
<and_or>and</and_or>
<search_type>more than x days ago</search_type>
<value>7</value>
<opening_paren>false</opening_paren>
<closing_paren>false</closing_paren>
</criterion>
</criteria>
</computer_group><computer_group>
<name>Static Group</name>
<is_smart>false</is_smart>
<site>
<id>-1</id>
<name>None</name>
</site>
<computers>
<computer>
<id>1</id>
<name>Device Name</name>
<mac_address></mac_address>
<alt_mac_address>9A:00:01:B7:A7:90</alt_mac_address>
<serial_number>C02Q7KHTGFWF</serial_number>
</computer>
<computer>
<id>3</id>
<name>Alishia's MacBook Air</name>
<mac_address>00:16:3E:45:A7:90</mac_address>
<alt_mac_address/>
<serial_number>C02Q7KHTGFWF</serial_number>
</computer>
</computers>
</computer_group> 201Created